 $(document).ready(function() {
   var alternateRowColors = function($table) {
     $('tbody tr:odd', $table)
       .removeClass('even').addClass('odd');
     $('tbody tr:even', $table)
       .removeClass('odd').addClass('even');
   };
   
   $('table.sortable').each(function() {
     var $table = $(this);
     alternateRowColors($table);
     $('th', $table).each(function(column) {
       var $header = $(this);
       if ($header.is('.sort-alpha')) {
         $header.addClass('clickable').hover(function() {
           $header.addClass('hover');
         }, function() {
           $header.removeClass('hover');
         }).click(function() {
           var rows = $table.find('tbody > tr').get();

         $.each(rows, function(index, row) { 
           row.sortKey = $(row).children('td').eq(column). text().toUpperCase();
         });  
         rows.sort(function(a, b) { 
           if (a.sortKey < b.sortKey) return -1; 
           if (a.sortKey > b.sortKey) return 1; 
           return 0;
         });
         $.each(rows, function(index, row) { 
           $table.children('tbody').append(row); 
           row.sortKey = null;
         });

           $.each(rows, function(index, row) {
             $table.children('tbody').append(row);
           });
           alternateRowColors($table);
         });
       }
     });
   });
 });
